comedi_get_subdevice_type
Prev | 5.4.1. Core Functions | Next

## Name

comedi_get_subdevice_type — type of subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_get_subdevice_type(` | comedi_t * device,
| unsigned int subdevice`)`;

## Description

The function `comedi_get_subdevice_type` returns an integer describing the type of subdevice that belongs to the comedi device `device` and has the subdevice index `subdevice`. The comedi_subdevice_type enum specifies the possible values for the subdevice type.

## Return value

The function returns the subdevice type, or `-1` if there is an error.

Prev | Up | Next
comedi_get_subdevice_flags | Home | comedi_get_version_code